#define FASTLED_ESP8266_RAW_PIN_ORDER
#include "FastLED.h"

#define NUM_LEDS 111
#define DATA_PIN 2

// Define the array of leds
CRGB leds[NUM_LEDS];
CRGB color;

void setup() {
  Serial.begin(115200);
  FastLED.addLeds<WS2812B, DATA_PIN, GRB>(leds, NUM_LEDS);
}

void loop() {

  color.red = 70;
  color.green = 0;
  color.blue = 0;
  for (int i = 0; i < NUM_LEDS; i++)
  {
    leds[i] = color;
  }
  FastLED.show();
  delay(500);

  color.red = 0;
  color.green = 70;
  color.blue = 0;
  for (int i = 0; i < NUM_LEDS; i++)
  {
    leds[i] = color;
  }
  FastLED.show();
  delay(500);

  color.red = 0;
  color.green = 0;
  color.blue = 70;
  for (int i = 0; i < NUM_LEDS; i++)
  {
    leds[i] = color;
  }
  FastLED.show();
  delay(500);
}
